View Issue Details

IDProjectCategoryView StatusLast Update
0036933FPCCompilerpublic2020-05-07 21:26
ReporterAlfred Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Fixed in Version3.2.0 
Summary0036933: Cocoa procedure setDocumentView has changing implementation
DescriptionCurrently, Lazarus trunk does not compile anymore with FPC trunk due to a small difference in the setDocumentView definition.
Look into NSScrollView.inc (setDocumentView ):
2.6.4 has [id] as argument
3.0.0-3.0.4 have [NSView] as argument
3.2.0 has [id] as argument
3.3 has [NSView] as argument
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Relationships

related to 0037037 confirmedDmitry Boyarintsev Lazarus TSetDocumentViewType has wrong conditional switch. 

Activities

Jonas Maebe

2020-04-19 12:43

manager   ~0122249

Sorry, forgot to merge one of the revisions after the update to the new CocoaInt headers.

Alfred

2020-04-22 06:49

reporter   ~0122334

Thanks for the quick fix !
But may I ask to include this fix also on 3.2.0 (release candidate) itself ?
If not, we have an upcoming deviating release of FPC 3.2

Jonas Maebe

2020-04-22 09:35

manager   ~0122335

As the "Fixed in Version" field mentioned, it will be fixed in 3.2.0. I resolved this bug report by merging the missing revision from trunk to fixes_3_2. The next 3.2 RC or final release will be made from the fixes 3_2 branch. RC1 won't change, as it has been released (that's why it's a tag and not a branch).

Issue History

Date Modified Username Field Change
2020-04-19 06:18 Alfred New Issue
2020-04-19 12:43 Jonas Maebe Assigned To => Jonas Maebe
2020-04-19 12:43 Jonas Maebe Status new => resolved
2020-04-19 12:43 Jonas Maebe Resolution open => fixed
2020-04-19 12:43 Jonas Maebe Fixed in Version => 3.2.0
2020-04-19 12:43 Jonas Maebe FPCTarget => -
2020-04-19 12:43 Jonas Maebe Note Added: 0122249
2020-04-22 06:49 Alfred Status resolved => feedback
2020-04-22 06:49 Alfred Resolution fixed => reopened
2020-04-22 06:49 Alfred Note Added: 0122334
2020-04-22 09:35 Jonas Maebe Status feedback => resolved
2020-04-22 09:35 Jonas Maebe Note Added: 0122335
2020-05-07 21:26 Juha Manninen Relationship added related to 0037037